=== debian/changelog ===
plasma-workspace (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * Drop included upstream_fix-clock-required-qtquick-version.patch
  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:52 +0100

plasma-workspace (4:5.18.3-0ubuntu2) focal; urgency=medium

  * Add upstream_fix-clock-required-qtquick-version.patch
    (LP: #1869495)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Mar 2020 16:21:36 +0000

plasma-workspace (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:20 +0000

plasma-workspace (4:5.18.2-0ubuntu2) focal; urgency=medium

  * Build with libgps-dev again.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 27 Feb 2020 19:08:18 +0000

plasma-workspace (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:25 +0000

plasma-workspace (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:14 +0000

plasma-workspace (4:5.18.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)
  * Bump orig tar version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:29 +0000

plasma-workspace (4:5.17.90-0ubuntu2) focal; urgency=medium

  * Global theme kcm now requires depends on qml-module-org-kde-
    newstuff.

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Jan 2020 17:47:25 +0000

plasma-workspace (4:5.17.90-0ubuntu1) focal; urgency=medium

  * Update install files.
  * Build and runtime depend on kquickcharts. New compulsory dependency
    for notification animations.
  * Temporarily do not build with libgps, so we do not entangle with
    that transition.
  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:31 +0000

plasma-workspace (4:5.17.5-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libgps26

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jan 2020 10:39:27 +0000

plasma-workspace (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:08 +0000

plasma-workspace (4:5.17.4-0ubuntu3) focal; urgency=medium

  * Build without gpsd again to avoid FTBFS.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jan 2020 17:32:18 +0000

plasma-workspace (4:5.17.4-0ubuntu2) focal; urgency=medium

  * Build with libgps again.

 -- Rik Mills <rikmills@kde.org>  Fri, 27 Dec 2019 10:50:11 +0000

plasma-workspace (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)
  * Temporarily do not build with libgps, so we do not entangle with
    that transition.

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:19 +0000

plasma-workspace (4:5.17.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild against libgps25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Nov 2019 20:51:46 +0000

plasma-workspace (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:04 +0000

plasma-workspace (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Remove obsolete krunner autostart conf file.
  * Update install files.
  * Move qdebug categories file to new location.
  * Update postinst to switch x-session-manager alternative to new
    startplasma-x11 executable.
  * Drop no longer required replace-fds.patch
  * Share dataengine remeoved upstream:
    - Update install files.
    - Remove no longer required kjsembed build depend.
  * Update lintian overrides.
  * Kicker plugin moved from plasma-desktop:
    - Build depends on libkf5activitiesstats-dev and libkf5people-dev
    - Install new files.
    - Bump breaks/replaces against plasma-desktop to 5.16.80~
  * New upstream (beta) release (5.16.90)
  * Update symbols from build logs.
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:19 +0000

plasma-workspace (4:5.16.5-0ubuntu2) focal; urgency=medium

  * Sync Debian test changes:
    - Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
      are not run at build time anyway.
    - Drop the 'testsuite' autopkgtest, as it does not test the installed
      packages
      + drop patch disable_incompatible_tests, no more needed now

 -- Rik Mills <rikmills@kde.org>  Mon, 28 Oct 2019 22:31:42 +0000
