=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: baloo-kf5-dev (>= 5.66.0~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               kded5-dev (>= 5.66.0~),
               kgendesignerplugin (>= 5.66.0~),
               kinit-dev (>= 5.66.0~),
               kquickcharts-dev (>= 5.66.0~),
               kscreenlocker-dev (>= 5.18.4.1~),
               kwin-dev (>= 4:5.18.4.1~),
               libappstreamqt-dev (>= 0.10.4~) [linux-any],
               libboost-dev,
               libdbusmenu-qt5-dev,
               libgps-dev,
               libkf5activities-dev (>= 5.66.0~),
               libkf5activitiesstats-dev (>= 5.66.0~),
               libkf5config-dev (>= 5.66.0~),
               libkf5coreaddons-dev (>= 5.66.0~),
               libkf5crash-dev (>= 5.66.0~),
               libkf5dbusaddons-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5doctools-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5holidays-dev (>= 1:5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5idletime-dev (>= 5.66.0~),
               libkf5itemmodels-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5kdelibs4support-dev (>= 5.66.0~),
               libkf5kio-dev (>= 5.66.0~),
               libkf5networkmanagerqt-dev (>= 5.66.0~),
               libkf5newstuff-dev (>= 5.66.0~),
               libkf5notifyconfig-dev (>= 5.66.0~),
               libkf5package-dev (>= 5.66.0~),
               libkf5people-dev (>= 5.66.0~),
               libkf5plasma-dev (>= 5.66.0~),
               libkf5prison-dev (>= 5.66.0~),
               libkf5runner-dev (>= 5.66.0~),
               libkf5screen-dev (>= 4:5.18.4.1~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5su-dev (>= 5.66.0~),
               libkf5sysguard-dev (>= 4:5.18.4.1~),
               libkf5texteditor-dev (>= 5.66.0~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wallet-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.66.0~),
               libkf5webkit-dev (>= 5.66.0~),
               libkf5xmlrpcclient-dev (>= 5.66.0~),
               libnm-dev,
               libpam0g-dev,
               libphonon4qt5-dev (>= 4:4.8.0-5),
               libphonon4qt5experimental-dev,
               libqalculate-dev,
               libqt5sensors5-dev,
               libqt5webkit5-dev (>= 5.7~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libraw1394-dev,
               libsm-dev,
               libudev-dev,
               libwayland-dev (>= 1.3),
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-framework (>= 5.54.0~),
               qtbase5-dev (>= 5.9.0~),
               qtdeclarative5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.7~),
               xcb-proto,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace

Package: libcolorcorrect5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 ColorCorrect library.
 .
 This package contains library files.

Package: libkworkspace5-5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Kworkspace library.
 .
 This package contains library files.

Package: libplasma-geolocation-interface5
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Interface library for geolocation.
 .
 This package contains library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libtaskmanager5
Replaces: libtaskmanager5
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files.

Package: libnotificationmanager1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains library files for notifications.

Package: libweather-ion7
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Workspace for KF5 library
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Weather_ion library.
 .
 This package contains library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 5.18.0),
         frameworkintegration,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd (>= 5.18.0),
         kded5,
         kinit,
         kio,
         kwin-common (>= 4:5.18.0),
         libappstreamqt2,
         libkf5config-bin,
         libkf5globalaccel-bin (>= 5.7.0),
         libkf5plasma5 (>= 5.45.0~),
         libkf5service-bin,
         milou (>= 4:5.18.0),
         plasma-framework (>= 5.54.0~),
         plasma-integration (>= 5.18.0),
         qdbus-qt5,
         qml-module-org-kde-activities,
         qml-module-org-kde-draganddrop,
         qml-module-org-kde-kconfig,
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kholidays,
         qml-module-org-kde-kirigami2 (>= 5.54.0~),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-kwindowsystem,
         qml-module-org-kde-newstuff,
         qml-module-org-kde-quickcharts,
         qml-module-org-kde-solid,
         qml-module-qt-labs-folderlistmodel,
         qml-module-qtgraphicaleffects,
         qml-module-qtqml-models2,
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: appmenu-gtk3-module,
            kde-cli-tools (>= 4:5.18.0),
            kio-extras,
            ksysguardd (>= 4:5.18.0),
            libpam-kwallet5 (>= 5.18.0),
            powerdevil (>= 4:5.18.0),
            qml-module-org-kde-qqc2desktopstyle,
Breaks: kde-window-manager (<= 4:5),
        kio-extras (<< 4:5.3.2+git20150710.0210),
        kio-extras-data (<< 4:5.3.2+git20150710.0210),
        plasma-desktop (<< 4:5.16.80~),
        plasma-desktop-data (<< 4:5.16.80~),
        ${kde-l10n:all},
Conflicts: kde-workspace, kde-workspace-data, klipper
Provides: notification-daemon, x-session-manager
Replaces: kde-workspace-bin,
          kde-workspace-data,
          kio-extras (<< 4:5.3.2+git20150710.0210),
          kio-extras-data (<< 4:5.3.2+git20150710.0210),
          klipper,
          plasma-desktop (<< 4:5.16.80~),
          plasma-desktop-data (<< 4:5.16.80~),
          plasma-systray-legacy,
          plasma-workspace-data,
          ${kde-l10n:all},
Description: Plasma Workspace for KF5
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 4.

Package: plasma-workspace-dev
Architecture: any
Depends: kwin-common (>= 4:5.18.0),
         libkf5itemmodels-dev (>= 5.66.0~),
         libkf5plasma-dev (>= 5.66.0~),
         libkf5sysguard-dev (>= 4:5.18.4.1~),
         libkf5windowsystem-dev (>= 5.66.0~),
         plasma-workspace (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         qtdeclarative5-dev (>= 5.9.0~),
         ${allLibraries},
         ${misc:Depends},
Breaks: kde-workspace-dev
Conflicts: kde-workspace-dev
Replaces: kde-workspace-dev
Description: Plasma Workspace for KF5 devel files
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: plasma-workspace-wayland
Architecture: any
Depends: kwayland-integration (>= 5.18.0),
         kwin-wayland (>= 4:5.18.0),
         plasma-workspace (= ${binary:Version}),
         qtwayland5,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Workspace for KF5 - Wayland integration
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-framework (>= 5.54.0~), plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Recommends: sddm
Breaks: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Provides: sddm-theme
Replaces: plasma-workspace (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa5)
Description: Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.
