## plasma-workspace 5.18.5-0ubuntu0.1%2B10.0trisquel2

=== debian/changelog ===
plasma-workspace (4:5.18.5-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Customized for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 29 Jan 2022 18:31:17 +0000

plasma-workspace (4:5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:17:11 +0100
