=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
                kgendesignerplugin (>= 5.66.0~),
                kinit-dev (>= 5.66.0~),
                kquickcharts-dev (>= 5.66.0~),
-               kscreenlocker-dev (>= 5.18.4.1~),
-               kwin-dev (>= 4:5.18.4.1~),
+               kscreenlocker-dev (>= 5.18.4~),
+               kwin-dev (>= 4:5.18.5~),
                libappstreamqt-dev (>= 0.10.4~) [linux-any],
                libboost-dev,
                libdbusmenu-qt5-dev,
@@ -41,10 +41,10 @@
                libkf5plasma-dev (>= 5.66.0~),
                libkf5prison-dev (>= 5.66.0~),
                libkf5runner-dev (>= 5.66.0~),
-               libkf5screen-dev (>= 4:5.18.4.1~),
+               libkf5screen-dev (>= 4:5.18.4~),
                libkf5solid-dev (>= 5.66.0~),
                libkf5su-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4.1~),
+               libkf5sysguard-dev (>= 4:5.18.4~),
                libkf5texteditor-dev (>= 5.66.0~),
                libkf5textwidgets-dev (>= 5.66.0~),
                libkf5wallet-dev (>= 5.66.0~),
@@ -250,7 +250,7 @@
 Depends: kwin-common (>= 4:5.18.0),
          libkf5itemmodels-dev (>= 5.66.0~),
          libkf5plasma-dev (>= 5.66.0~),
-         libkf5sysguard-dev (>= 4:5.18.4.1~),
+         libkf5sysguard-dev (>= 4:5.18.4~),
          libkf5windowsystem-dev (>= 5.66.0~),
          plasma-workspace (= ${binary:Version}),
          qtbase5-dev (>= 5.9.0~),
